"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const validators_1 = require("../validators");
exports.default = async (inquirer, prevAns = {}) => {
    const { jfrogUsername = prevAns.jfrogUsername, jfrogPassword = prevAns.jfrogPassword } = await inquirer.prompt([
        {
            name: 'jfrogUsername',
            type: 'input',
            message: 'Genesis Username',
            when: prevAns.jfrogUsername === undefined,
            validate: validators_1.jfrogUsernameValidator,
        },
        {
            name: 'jfrogPassword',
            type: 'password',
            mask: '*',
            message: 'Genesis Password',
            when: prevAns.jfrogPassword === undefined,
        },
    ]);
    return {
        jfrogUsername,
        jfrogPassword,
    };
};
