"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.downloadEntitlements = void 0;
const store_1 = require("../../store");
const utils_1 = require("../../utils");
const downloadEntitlements = async (binCmdKey = store_1.configStore.values.binCmdKey, authToken = store_1.configStore.values.jfrog.token, authTokenType = store_1.configStore.values.jfrog.tokenType) => {
    const response = await (0, utils_1.downloadJson)(`https://genesisglobal.jfrog.io/artifactory/seed-area/entitlements.${binCmdKey}.json`, authToken, authTokenType);
    if (!response.ok) {
        throw (0, utils_1.responseNotOk)(response, 'Unable to download user entitlements');
    }
    const data = await response.json();
    return new Set(data.entitlements);
};
exports.downloadEntitlements = downloadEntitlements;
